<?php declare(strict_types = 1);

namespace Drupal\comment_on_top\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;

/**
 * Plugin implementation of the 'stick_comment_on_top_default' formatter.
 *
 * @FieldFormatter(
 *   id = "stick_comment_on_top_default",
 *   label = @Translation("Default"),
 *   field_types = {"stick_comment_on_top"},
 * )
 */
final class StickOnTopDefaultFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode): array {
    $element = [];

    foreach ($items as $delta => $item) {

      $element[$delta]['stick'] = [
        '#type' => 'item',
        '#title' => $this->t('Stick'),
        '#markup' => $item->stick ? $this->t('Yes') : $this->t('No'),
      ];

    }

    return $element;
  }

}
